org.eclipse.graphiti.notification

## Interface INotificationService

All Known Implementing Classes:
  DefaultNotificationService

    public interface INotificationService

The Interface INotificationService.

### Method Summary

All Methods Instance Methods Abstract Methods
`PictogramElement[]` `calculateRelatedPictogramElements(java.lang.Object[] bos)` Calculate dirty pictogram elements.
`void` `updatePictogramElements(PictogramElement[] pes)` Update dirty pictogram elements.

### Method Detail

#### calculateRelatedPictogramElements

    PictogramElement[] calculateRelatedPictogramElements(java.lang.Object[] bos)

Calculate dirty pictogram elements.

Parameters:
  `bos` - the changed business objects
Returns:
  the pictogram element[]

#### updatePictogramElements

    void updatePictogramElements(PictogramElement[] pes)

Update dirty pictogram elements.

Parameters:
  `pes` - the dirty pes